@font-face {
    font-family: 'Gotu';
    src: url(/assets/fonts/Gotu/Gotu-Regular.ttf);
}

@font-face {
    font-family: 'Assistant';
    src: url(/assets/fonts/Assistant/Assistant-VariableFont_wght.ttf);
}

:root {
    --blue-main-color: #72858B;
    --blue-transparent-color: rgba(117, 132, 137, 40%);
    --green-main-color: #8C947D;
    --green-transparent-color: rgba(140, 148, 125, 40%);

    --text-color: #121212;
    --bg-color:#f1f1f1;
    --svg-color: #72858B;

    --logo-size: 55px;

    --font-size-nav: 18px; 
    --font-size-h1: 32px;
    --font-size-normal: 18px;



    --font-size-h3: 22px;
    --font-size-caption: 22px;

    --font-weight-thin: 100;

    --line-height-normal: 1.6;

    --margin-100: 100px;
    --margin-card: 50px;
    --margin-nav: 180px;
    --nav-height: 80px;

    --btn-height: 35px;
    --btn-border-radius: 2px;
    --scale-btn: scale(1.01);

    --scale-img: 1.02;

    /* Smaller Screen */

    --font-size-nav-small: 16px; 
    --font-size-h1-small: 28px;
    --font-size-normal-small: 16px;
}

.flex {
    display: flex;
    justify-content: center;
    align-items: center;
}

.padding-100 {
    padding: 100px;
}

.font-gotu {
    font-family: 'Gotu', sans-serif;
}

.font-assistant {
    font-family: 'Assistant', sans-serif;
}

html {
    scroll-behavior: smooth;
}

body {
    margin: 0;
    padding: 0;
    top: 0;
    left: 0;
    font-family: 'Assistant', sans-serif;
    font-size: var(--font-size-normal);
    line-height: var(--line-height-normal);
    color: var(--text-color);
    background-color: var(--bg-color);

    width: 100%;
    overflow-x: hidden;
    backface-visibility: hidden;
}

h1 {
    font-family: 'Gotu', sans-serif;
    font-size: var(--font-size-h1);
    font-weight: var(--font-weight-thin);

}

header {
    margin: 0;
    padding: 0;
}

nav {
    position: fixed;
    top: 0;
}

.navbar {
    display: flex;
    position: fixed;
    justify-content: space-between;
    align-items: center;
    top: 0;
    left: 0;
    padding-top: 10px;
    font-family: 'Gotu', sans-serif;
    width: 100%;
    height: var(--nav-height);
    z-index: 1000;
    background-color: var(--bg-color);
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}


.nav-links {
    list-style: none;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 75px;
    padding: 0;
    margin: 0;
    margin-right: var(--margin-nav);
    margin-top: -5px;
}

.contact-btn {
    all: unset;
    display: flex;
    align-items: center;
    justify-content: center;
    align-self: baseline;
    font-family: 'Gotu', sans-serif;
    font-size: var(--font-size-nav);
    text-decoration: none;
    border: 1px solid var(--text-color);
    background-color: transparent;
    border-radius: var(--btn-border-radius);
    width: 110px;
    padding-top: 2px;
    cursor: pointer;
    transform: scale(1);
    transition: transform 0.3s ease-in-out,
                background-color 0.3s ease-in-out,
                color 0.3s ease-out,
                border-color 0.3s ease-out; 
}

.contact-btn:hover {
    background-color: var(--blue-main-color);
    color: var(--bg-color);
    border-color: var(--blue-main-color);
    transform: scale(1.05);
}

.logo {
    width: var(--logo-size);
    height: auto;
    margin-left: var(--margin-nav);
    margin-top: 5px;
    transform: scale(1);
    transition: transform 0.3s ease-out;
}

.logo:hover {
    transform: scale(1.02);
}

.nav-links-container {
    margin-right: var(--margin-nav);
}

.nav-links li {
    display: inline;
}

.nav-links a {
    color: var(--text-color);
    text-decoration: none;
    font-size: var(--font-size-nav);
    transition: 0.3s;
}

.underline-li a {
    position: relative;
    overflow: hidden;
}

.underline-li a::before {
    content: '';
    position: absolute;
    bottom: 0px;
    height: 1px;
    width: 100%;
    background: var(--text-color);
    transform: scale(0);
    transform-origin: left;
    transition: transform 0.3s ease-in-out;
}

.nav-links a:hover::before {
    transform: scale(1);
}

/* Mobil Menü - Nav Bar */
.menu-toggle {
    display: none;
    flex-direction: column;
    cursor: pointer;
    margin-right: 50px;
}

.menu-toggle span {
    width:30px;
    height: 2px;
    background: var(--text-color);
    margin: 4px;
    transition: 0.3s;
}


/* Hero Sektion */

.hero {
    top: 0;
    left: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    width: 100%;
    overflow: hidden;
    flex-wrap: wrap;
}

.hero-content {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
}

.hero-image-ctn, .hero-text-ctn {
    top: 0;
    left: 0;
    height: 100%;
    flex-grow: 1;
    display: flex;
    margin-top: 20px;
    
}

.hero-image-ctn {
    align-items: center;
    justify-content: flex-start;
}

.img-mask {
    margin-top: 40px;
    display: flex;
    width: 500px;
    height: 700px;
    object-fit: cover;
    overflow: hidden;
    transform-origin: center;
    transform: translate(calc(var(--margin-nav)*0.6), 0);
    scale: 1;
    transition: scale 0.5s ease-in-out;
}

.img-mask:hover {
    scale: var(--scale-img);
}

.hero-image-ctn img {
    display: flex;
    object-fit: cover;
    width: 100%;
    height: auto;
}

.darken-hero-img {
    display: none;
    position: absolute;
    z-index: 1;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #12121285;
}

.hero-text-ctn {
    flex-grow: 1;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    flex-wrap: wrap;
}

.text-package {
    display: flex;
    flex-direction: column;
    transform: translate(-100px,0);
}

.hero-text-ctn h1 {
    font-size: var(--font-size-h1);
    font-family: 'Gotu', sans-serif;
    margin-bottom: -12px;
    font-weight: var(--font-weight-thin);
}

.hero-text-ctn h1::before {
    content: '\201C';
    font-size: var(--font-size-h1);
    position: absolute;
    color: var(--text-color);
    margin-top: 10px;
    transform: translate(-13px, -10px);
}

.hero-text-ctn h1::after {
    content: '\201D';
    font-size: var(--font-size-h1);
    position: absolute;
    color: var(--text-color);
    margin-top: 10px;
    transform: translate(0px, -10px);
}

.hero-text-ctn p {
    font-family: 'Assistant', sans-serif;
    font-size: var(--font-size-normal);
    font-weight: var(--font-weight-thin);
}

.mywork-btn {
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: var(--font-size-nav);
    text-decoration: none;
    color: var(--bg-color);
    background-color: var(--blue-main-color);
    border-radius: var(--btn-border-radius);
    border: 1px solid var(--blue-main-color);
    width: 200px;
    height: 35px;
    margin-top: 10px;
    cursor: pointer;
    transform: scale(1);
    transition: transform 0.3s ease-in-out,
                background-color 0.3s ease-in-out,
                border-color 0.3s ease-out; 
}

.mywork-btn a {
    text-decoration: none;
    color: var(--bg-color);
    font-size: var(--font-size-normal);
    font-weight: var(--font-weight-thin);
    transition: color 0.3s ease-in-out;
}

.mywork-btn:hover {
    background-color: transparent;
    border-color: var(--text-color);
    transform: var(--scale-btn);
}

.mywork-btn:hover a {
    color: var(--text-color);
}

/* Overview Sektion */

svg {
    fill: var(--svg-color);
    overflow: visible;
}

#coaching-svg, #person-left, #person-right, #person-main, #slips, #preson, #arrow-up-1, #arrow-up-2{
    transform: translate(0, 0) rotate(0deg) scale(1);
    transition: transform 1s ease-in-out;
    transform-origin: center;
}

.content-style:hover #person-left {
    transform: translate(-5px, -5px) rotate(-2deg) scale(1.02);
}

.content-style:hover #person-right {
    transform: translate(5px , -5px) rotate(2deg) scale(1.02);
}

.content-style:hover #person-main {
    transform: translate(0px, -5px) scale(1.04);
}

.content-style:hover #slips {
    transform: translate(0px, 5px) scale(0.9);
}

.content-style:hover #arrow-up-1 {
    transform: translate(0px, -10px) scale(1.02);
}

.content-style:hover #arrow-up-2 {
    transform: translate(0px, -5px) scale(1.02);
}

#supervision-svg, #teacher, #tafel{
    transform: translate(0, 0) rotate(0deg) scale(1);
    transition: transform 1s ease-in-out;
    transform-origin: center;
}

.content-style:hover #teacher {
    transform: translate(0px,  -5px) rotate(-1deg) scale(1.02);
}

.content-style:hover #tafel {
    transform: translate(10px, -5px) rotate(1deg) scale(1.02);
}

#window-screen, #pen {
    transform: rotate(0deg) translate(0, 0) scale(1);
    transform-origin: center;
    transition: transform 1s ease-in-out;
}

.content-style:hover #window-screen {
    transform: translate(0px, -5px) rotate(-1deg) scale(1.02);
}

.content-style:hover #pen {
    transform: translate(5px, -15px) rotate(3deg) scale(0.95);
}




.overview {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    background-color: var(--blue-transparent-color);
    height: fit-content;
    width: 100%;
    overflow: hidden;
}

.overview-content {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
    flex-wrap: wrap;
}

.header-overview {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    margin-top: var(--margin-card);
}

.overview-content {
    margin-bottom: 70px;
}

.content-style {
    scale: 1;
    transition: scale 0.5s ease-in-out;
}

.content-style:hover {
    scale: var(--scale-img);
}

.overview h1 {
    color: var(--blue-main-color);
    font-weight: 0;
}

.content-style {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    margin-top: 35px;
    width: 450px;
}

.btn-coaching {
    border: 1px solid var(--blue-main-color);
    height: var(--btn-height);
    border-radius: var(--btn-border-radius);
    display: flex;
    align-items: center;
    justify-content: center;
    transform: scale(1);
    transition: background-color 0.3s ease-in-out,
                transform 0.3s ease-in-out;
}

.btn-coaching a {
    text-decoration: none;
    color: var(--blue-main-color);
    font-size: var(--font-size-normal);
    font-weight: var(--font-weight-thin);
    padding-left: 15px;
    padding-right: 15px;
}

.btn-coaching:hover {
    background-color: var(--blue-main-color);
    transform: scale(1.03);
}

.btn-coaching:hover a {
    color: var(--bg-color);
}

/* Interesse Sektion */

.interest-section {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    background: url(/img/water/waterbluetop.webp) no-repeat center center;
    background-size: cover;
    height: fit-content;
    width: 100%;
    overflow: hidden;
}

.interest-section h1 {
    color: var(--bg-color);
    font-size: var(--font-size-h1);
}

.interest-section p {
    color: var(--bg-color);
    font-size: var(--font-size-normal);
    font-weight: var(--font-weight-thin);
}

.bg-img-interest {
top: 0;
left: 0;
width: 100%;
height: 100%;
background-color: #1212125e;
display: flex;
align-items: flex-start;
justify-content: center;
flex-direction: column;
}

.interest-container {
    display: flex;
    align-items: flex-start;
    justify-content: center;
    flex-direction: column;
    flex-wrap: wrap;
    margin-left: 270px;
}

.interest-container h1{
    padding-top: var(--margin-100);
}

.interest-container p {
    margin-top: -25px;
}

.btn-interest-contact {
    margin-bottom: var(--margin-100);
    margin-top: 10px;
    height: var(--btn-height);
    border: 1px solid var(--bg-color);
    border-radius: var(--btn-border-radius);
    display: flex;
    align-items: center;
    justify-content: center;
    transform: scale(1);
    transition: background-color 0.3s ease-in-out,
                transform 0.3s ease-in-out;
}

.btn-interest-contact a {
    text-decoration: none;
    padding-left: 20px;
    padding-right: 20px;
    color: var(--bg-color);
    font-size: var(--font-size-normal);
    font-weight: var(--font-weight-thin);
}

.btn-interest-contact:hover {
    background-color: var(--blue-main-color);
    border-color: var(--blue-main-color);
    transform: scale(1.03);
}

/* About Me Sektion */

.aboutme-section {
    top: 0;
    left: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    overflow: hidden;
    flex-wrap: wrap;
}

.aboutme-content {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
}

.aboutme-text-ctn, .aboutme-image-ctn {
    margin-top: 100px;
    top: 0;
    left: 0;
    height: 100%;
    flex-grow: 1;
    display: flex;
    margin-bottom: 100px;
}

.aboutme-text-ctn {
    display: flex;
    align-items: center;
    margin-left: var(--margin-nav);
    margin-right: 100px;
    width: 330px;
    word-wrap: break-word;
    overflow-wrap: break-word;
}

.caption-aboutme {
    margin-top: -25px;
}

.text-aboutme {
    margin-top: 30px;
}

.more-aboutme-btn{
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: var(--font-size-nav);
    text-decoration: none;
    color: var(--bg-color);
    background-color: var(--blue-main-color);
    border-radius: var(--btn-border-radius);
    border: 1px solid var(--blue-main-color);
    width: 150px;
    height: 35px;
    margin-top: 30px;
    cursor: pointer;
    transform: scale(1);
    transition: transform 0.3s ease-in-out,
                background-color 0.3s ease-in-out,
                border-color 0.3s ease-out; 
}

.more-aboutme-btn a {
    text-decoration: none;
    color: var(--bg-color);
    font-size: var(--font-size-normal);
    font-weight: var(--font-weight-thin);
    transition: color 0.3s ease-in-out;
}

.more-aboutme-btn:hover {
    background-color: transparent;
    border-color: var(--text-color);
    transform: var(--scale-btn);
}

.more-aboutme-btn:hover a {
    color: var(--text-color);
}

.aboutme-image-ctn {
   display: flex;
   align-items: center;
   justify-content: flex-end;
   margin-right: var(--margin-nav);
}

.aboutme-img-mask {
    margin-top: 40px;
    display: flex;
    width: 500px;
    height: 700px;
    object-fit: cover;
    overflow: hidden;
    transform-origin: center;
}

.aboutme-img-mask {
    scale: 1;
    transition: scale 0.5s ease-in-out;
}

.aboutme-img-mask:hover {
    scale: var(--scale-img);
}

.aboutme-image-ctn img {
    display: flex;
    object-fit: cover;
    width: 100%;
}

/* Footer */

footer {
    width: 100%;
    height:280px;
    background-color: var(--blue-transparent-color);
    overflow: hidden;
}

.container-footer {
    display: flex;
    width: 100%;
    height: 100%;
    flex-direction: row;
    align-items: center;
}

.space-around-div {
    display: flex;
    width: 100%;
    height: 100%;
    flex-direction: row;
    align-items: center;
}

.logo-footer {
    margin-left: var(--margin-nav);
    opacity: 0.2;
}

.line-footer {
    margin-left: 25px;
    height: 80px;
    width: 2px;
    background-color: var(--text-color);
    opacity: 0.2;
    transform: translate(0, -7.5px);
}

.footer-content {
    margin-left: 25px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.footer-content a {
    text-decoration: none;
    color: #00000050;
    font-size: var(--font-size-normal);
    font-weight: var(--font-weight-thin);
    cursor: pointer;
}

.footer-content p {
    color: #00000050;
    font-size: var(--font-size-normal);
    font-weight: var(--font-weight-thin);
}

.first-line {
    display: flex;
    flex-direction: row;
    margin-bottom: -15px;
}

.first-line a {
    margin-right: 15px;
}

.second-line {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.second-line a {
    margin-left: 15px;
}

.footer-contact {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    margin-right: var(--margin-nav);
    transform: translate(0, -21.7px);
}

.footer-contact h4 {
    color: #00000050;
    font-size: var(--font-size-normal);
    font-weight: 600;
}

.footer-contact a{
    color: #00000050;
    font-size: var(--font-size-normal);
    font-weight: var(--font-weight-thin);
    cursor: pointer;
    margin-top: -25px;
}

.footer-contact h4:nth-last-child(2) {
    margin-top: 8px;
}


/* Impressum */

.legal-notice-section {
    margin-top: 170px;
    margin-bottom: 200px;
    display: flex;
    flex-direction: column;
    height: fit-content;
    width: 100%;
    overflow: hidden;
}

.legal-notice-container {
    margin-left: var(--margin-nav);
    margin-right: var(--margin-nav);
}

.legal-notice-container h1 {
    color: var(--blue-main-color);
    font-size: var(--font-size-h1);
}

.legal-notice-container h2 {
    font-family: 'Gotu', sans-serif;
    font-size: var(--font-size-h2);
    font-weight: 600;
    margin-top: 80px;
}

/* Datenschutz */

/* Impressum */

.privacy-section {
    margin-top: 100px;
    margin-bottom: 100px;
    display: flex;
    flex-direction: column;
    height: fit-content;
    width: 100%;
    overflow: hidden;
}

.privacy-container {
    margin-left: var(--margin-nav);
    margin-right: var(--margin-nav);
}

.privacy-container h1 {
    color: var(--blue-main-color);
    font-size: var(--font-size-h1);
}

.privacy-container h2 {
    font-family: 'Gotu', sans-serif;
    font-size: var(--font-size-h3);
    font-weight: 600;
    margin-top: 40px;
}

.privacy-container h3 {
    font-family: 'Gotu', sans-serif;
    font-size: var(--font-size-h2);
    font-weight: 600;
    margin-top: 60px;
}

.privacy-container h4 {
    font-family: 'Gotu', sans-serif;
    color: var(--blue-main-color);
    font-size: var(--font-size-h2);
    font-weight: 500;
    margin-top: 30px;
}


/* Media Query's */

@media (max-width: 1400px) {

    .mywork-btn:hover {
        border-color: var(--blue-main-color);
    }

    .mywork-btn:hover a {
        color: var(--blue-main-color);
    }
}

@media (max-width: 1350px) {
    .content-style {
        width: 350px;
    }
}

@media (max-width: 1320px){
    .hero-image-ctn {
        width: 100%;
    }

    .img-mask {
        width: 100%;
        height: 100%;
        height: 100%;
        object-fit: cover;
        margin: 0;
        padding: 0;
        transform: translate(0,0);
    }

    .darken-hero-img {
        display: flex;
    }


    .hero-image-ctn, .hero-text-ctn{
        margin: 0;
        padding: 0;
    }

    .text-package {
        position: absolute;
        left: 50%;
        transform: translate(-50%, 0);
        top: 300px;
        min-width: fit-content;
    }

    .text-package h1 {
        color: var(--bg-color);
    }

    .text-package p {
        color: var(--bg-color);
    }

    .text-package h1::before {
        color: var(--bg-color);
    }

    .text-package h1::after {
        color: var(--bg-color);
    }

    .aboutme-content{
        flex-direction: column;
    }

    .aboutme-text-ctn{
        width: 840px;
        margin-left:0;
        margin-right: 0;
        margin-top: 75px;
    }

    .aboutme-image-ctn{
        margin-left: 0;
        margin-right: 0;
        margin-top: 0;
        margin-bottom: 0;
    }

    .aboutme-image-ctn {
        width: 100%;
    }

    .aboutme-img-mask{
        width: 100%;
        object-fit: cover;
    }

    .aboutme-image-ctn img{
        width: 100%;
    }

    /* Footer */

    .logo-footer {
        margin-left: 50px;
    }

    .footer-contact {
        margin-right: 50px;
    }
}

@media (max-width: 1200px) {
    .nav-links {
        padding-top: 40px;
        padding-bottom: 40px;
        display: none;
        flex-direction: column;
        position: absolute;
        top: var(--nav-height);
        right: 0;
        gap: 40px;
        background: var(--bg-color);
        box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
        width: 100%;
        text-align: center;
    }

    .logo {
        margin-left: 50px
    }

    .nav-links {
        margin-right: 0;
    }

    .nav-links.active {
        display: flex;
    }

    .menu-toggle {
        display: flex;
    }

    .text-package h1{
        font-size: var(--font-size-h1-small);
    }

    .text-package p {
        font-size: var(--font-size-normal-small);
    }

    .text-package a {
        font-size: var(--font-size-nav-small);
    }

    .content-style h1{
        font-size: var(--font-size-h1-small);
    }

    .content-style a {
        font-size: var(--font-size-normal-small);
    }

    .legal-notice-container {
        margin-left: 50px;
        margin-right: 50px;
    }

    .privacy-container {
        margin-left: 50px;
        margin-right: 50px;
    }
    
}

@media (max-width: 1050px) {
    .content-style {
        width: 100%;
    }

    .content-2 {
        margin-top: 50px;
    }

    .content-3 {
        margin-top: 50px;
    }

    .interest-container {
        margin-left: 90px;
        margin-right: 90px;
    }

    .aboutme-text-ctn{
        width: 400px;
    }

    .text-package {
        top: 40vh;
    }

    .text-package h1{
        font-size: 1.8rem;
    }
}

@media (max-width: 800px) {
    .logo-footer {
        display: none;
    }

    .line-footer {
        display: none;
    }
}

@media (max-width: 750px) {
    .first-line {
        display: none;
    }

    .second-line {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        margin: 0;
        transform: translate(0,0px);
        padding: 0;
        margin-left: 25px;
        margin-top: -10px;
    }

    .second-line a {
        margin-left: 0;
    }

    .secondlione-selected-a {
        margin-top: -15px;
    }
    

    .privacy-a {
        margin-top: 5px;
    }

    .text-package {
        top: 32vh;
    }

    .text-package h1{
        font-size: 1.2rem;
    }

    .text-package h1::after, .text-package h1::before {
        font-size: 1.2rem;
    }

}

@media (max-width:450px) {

    :root {
        --font-size-nav: 16px;
        --font-size-h1: 28px;
        --font-size-normal: 16px;
        --font-size-h3: 20px;
    }

    .aboutme-text-ctn {
        width: 300px;
    }
}

@media (max-width:400px) {
    :root {
        --font-size-nav: 16px;
        --font-size-h1: 24px;
        --font-size-normal: 15px;
        --font-size-h3: 20px;
    }
}

/* Additional Parameters Animation */



/* OnScroll Animation */


@media (prefers-reduced-motion: reduce) {
    .hidden {
        opacity: 1;
        transform: scale(1);
        transition: none;
    } 
    
    .show {
        opacity: 1;
        transform: scale(1);
    }
}

.hidden {
    opacity: 0;
    transform: scale(0.9);
    transition: transform .5s ease-in-out,
                opacity .5s ease-in-out;
} 


.hidden-2 {
    opacity: 0;
    transform: translateX(-100px) scale(0.8) ;
    transition: transform 0.5s ease-in-out,
                opacity 0.5s ease-in-out;
    transition-delay: 2s;
}

.show {
    opacity: 1;
    transform: translateX(0px) scale(1) ;
}
